debug_traceBlockByNumber

특정 블록에 대해 tracer를 설정하여 해당 tracer가 제공하는 정보들을 통해 트랜잭션으로 인한 체인의 상태 변화 및 실제 call의 발생 이력들을 Debug할 수 있는 도구입니다.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

생성한 노드 환경에 부여되는 ID. 19자리 숫자형식입니다.

Body Params
int32
required
Defaults to 1
string
required
Defaults to 2.0
string
required
Defaults to debug_traceBlockByNumber
json
required
Defaults to ["0x10774B8", {"tracer": "callTracer"}]

다음 파라미터들을 타입에 맞게 배열로 입력합니다.

1. blockNumber : 기준 블록 지정을 위해 블록의 Number값을 hex 형식의 문자열로 입력합니다.

2. trace 옵션 설정을 위한 object입니다. 다음과 같은 필드를 포함해야 합니다.
tracer : "callTracer" 또는 "prestateTracer" 값 중 하나로 지정합니다. 각 Tracer 옵션에 대한 설명은 API 문서 본문을 참고해주세요.
tracerConfig : tracer 설정을 위한 Object입니다. Boolean 타입의 "onlyTopCall" 옵션을 사용할 수 있으며, true로 설정하는 경우 main call에 대한 이력만 trace합니다. false로 설정하는 경우 sub-call 레벨까지 trace합니다..

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json